
# 0.什么是turtle

Turtle库是Python语言中一个很流行的绘制图像的函数库，想象一个**小乌龟**，在一个横轴为x、纵轴为y的坐标系原点，(0,0)位置开始，它根据一组函数指令的控制，在这个平面坐标系中移动，从而在它爬行的路径上绘制了图形。
![小乌龟](小乌龟.jpg)

复习:import     
# 1.基操上线
## 1.1 画布 canvas
```py
turtle.screensize(canvwidth=None, canvheight=None, bg=None)
 
turtle.screensize(800,600, "green")

turtle.screensize() #返回默认大小(400, 300)

turtle.setup(width=0.5, height=0.75, startx=None, starty=None)

#参数：width, height: 输入宽和高为整数时, 表示像素; 为小数时, 表示占据电脑屏幕的比例，(startx, starty): 这一坐标表示矩形窗口左上角顶点的位置, 如果为空,则窗口位于屏幕中心。
 #参数分别为画布的宽(单位像素), 高, 背景颜色。
```



## 1.2 画笔 
```py
turtle.pensize() 
#设置画笔的宽度；

turtle.pencolor()
#没有参数传入，返回当前画笔颜色，传入参数设置画笔颜色，可以是字符串如"green", "red",也可以是RGB 3元组。

turtle.speed(speed)
#设置画笔移动速度，画笔绘制的速度范围[0,10]整数，数字越大越快。
```

```py
#原谅色
turtle.colormode(255)
turtle.pencolor(126,200,174)

turtle.pencolor('#7ec8ae')
```

## 1.3 绘图指令
操纵海龟绘图有着许多的命令，这些命令可以划分为3种：一种为**运动命令**，一种为**画笔控制命令**，还有一种是**全局控制命令**。

### 1.4 画笔运动命令
![画笔运动](画笔运动.png)

### 1.5 画笔控制命令
![画笔控制](画笔控制.png)

### 1.5 全局控制命令
![全局控制](全局控制.png)

### 1.6 其他命令
![其他](其他.png)

```py
turtle.circle(radius, extent=None, steps=None)

#描述：以给定半径画圆

#参数：
radius(半径)#半径为正(负)，表示圆心在画笔的左边(右边)画圆；

extent(弧度) #(optional)；

steps (optional) # (做半径为radius的圆的内切正多边形，多边形边数为steps)

circle(50) # 整圆;

circle(50,steps=3) # 三角形;

circle(120, 180) # 半圆
```

Further Reading     
[更多详情](https://www.cnblogs.com/chen0307/articles/9645138.html)       
[学会Python后，我画画是这样的](https://live.csdn.net/v/90559?utm_medium=distribute.pc_feed_video_rank.none-task-short_video-csdn&depth_1-utm_source=distribute.pc_feed_video_rank.none-task-short_video-csdn&spm=1000.2115.3001.4128)   
[Turtle绘图篇](https://www.cnblogs.com/andrew3/p/10604218.html)     
[孤陋寡闻了吧？Python 居然可以做这30件神奇好玩的事情（附教程）](https://www.cnblogs.com/shiyanlou/p/10856832.html)      
[python表白实现代码（可视化与动画版）](https://blog.csdn.net/weixin_30633405/article/details/102095790)     
[情人节来了，教你个用 Python 表白的技巧](https://www.cnblogs.com/wongbingming/p/12301133.html)  
[我用 Python 找出了删除我微信的所有人并将他们自动化删除了](https://mp.weixin.qq.com/s/n9XD5PNIghvGM84ghqvkLA)